  * { 
      margin: 0; 
  }

  html, 
  body { 
      height: 100%; 
  }

  #wrapper {
      min-height: 100%;
      height:     auto !important; 
      height:     100%;
      margin:     0 auto -16px; /* -16px being the size of the footer */
  }

  #header { 
      height: 100px; /* 120 fixed */
  }

  #footer, 
  #push {
      height: 16px;  /* fixed */
  }
